Package picard.analysis

## Class GcBiasSummaryMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.metrics.MultilevelMetrics
    - - picard.analysis.GcBiasSummaryMetrics

-     public class GcBiasSummaryMetrics
      extends MultilevelMetrics

  High level metrics that capture how biased the coverage in a certain lane is.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `ACCUMULATION_LEVEL` |
    `long` | `ALIGNED_READS` | The total number of aligned reads used to compute the gc bias metrics.
    `double` | `AT_DROPOUT` | Illumina-style AT dropout metric.
    `double` | `GC_DROPOUT` | Illumina-style GC dropout metric.
    `double` | `GC_NC_0_19` | Normalized coverage over quintile of GC content ranging from 0 - 19.
    `double` | `GC_NC_20_39` | Normalized coverage over each quintile of GC content ranging from 20 - 39.
    `double` | `GC_NC_40_59` | Normalized coverage over each quintile of GC content ranging from 40 - 59.
    `double` | `GC_NC_60_79` | Normalized coverage over each quintile of GC content ranging from 60 - 79.
    `double` | `GC_NC_80_100` | Normalized coverage over each quintile of GC content ranging from 80 - 100.
    `String` | `READS_USED` | This option is used to mark including or excluding duplicates.
    `long` | `TOTAL_CLUSTERS` | The total number of clusters that were seen in the gc bias calculation.
    `int` | `WINDOW_SIZE` | The window size on the genome used to calculate the GC of the sequence.

    - ### Fields inherited from class picard.metrics.MultilevelMetrics

      `LIBRARY, READ_GROUP, SAMPLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GcBiasSummaryMetrics()` |

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ACCUMULATION_LEVEL

          public String ACCUMULATION_LEVEL

    - #### READS_USED

          public String READS_USED

      This option is used to mark including or excluding duplicates.

    - #### WINDOW_SIZE

          public int WINDOW_SIZE

      The window size on the genome used to calculate the GC of the sequence.

    - #### TOTAL_CLUSTERS

          public long TOTAL_CLUSTERS

      The total number of clusters that were seen in the gc bias calculation.

    - #### ALIGNED_READS

          public long ALIGNED_READS

      The total number of aligned reads used to compute the gc bias metrics.

    - #### AT_DROPOUT

          public double AT_DROPOUT

      Illumina-style AT dropout metric. Calculated by taking each GC bin independently and calculating (%ref_at_gc - %reads_at_gc) and summing all positive values for GC=[0..50].

    - #### GC_DROPOUT

          public double GC_DROPOUT

      Illumina-style GC dropout metric. Calculated by taking each GC bin independently and calculating (%ref_at_gc - %reads_at_gc) and summing all positive values for GC=[50..100].

    - #### GC_NC_0_19

          public double GC_NC_0_19

      Normalized coverage over quintile of GC content ranging from 0 - 19.

    - #### GC_NC_20_39

          public double GC_NC_20_39

      Normalized coverage over each quintile of GC content ranging from 20 - 39.

    - #### GC_NC_40_59

          public double GC_NC_40_59

      Normalized coverage over each quintile of GC content ranging from 40 - 59.

    - #### GC_NC_60_79

          public double GC_NC_60_79

      Normalized coverage over each quintile of GC content ranging from 60 - 79.

    - #### GC_NC_80_100

          public double GC_NC_80_100

      Normalized coverage over each quintile of GC content ranging from 80 - 100.

  - ### Constructor Detail

    - #### GcBiasSummaryMetrics

          public GcBiasSummaryMetrics()